import { afterEvents } from "./Eternal/Constants";
import { display } from "./Eternal/Utils";

afterEvents.entitySpawn.subscribe((e) => {
  const { entity, cause } = e;

  if (entity.typeId === "eternal:golden_dragon" && cause === "Transformed") {
    entity.commandRunAsync(`tellraw @a[r=30] {"rawtext": [{"translate": "translate.dragon_tip"}]}`);
  }
});
